<template>
  <div
    v-for="todo in todos"
    :key="todo.id"
    data-test="todo"
    :class="[todo.completed ? 'completed' : '']"
  >
    {{ todo.text }}
    <input type="checkbox" v-model="todo.completed" data-test="todo-checkbox" />
  </div>

  <form @submit.prevent="createTodo()" data-test="form">
    <input type="text" data-test="new-todo" v-model="newTodo" />
  </form>

  <ul>
    <li>
      <RouterLink :to="'/home'">Home</RouterLink>
      <RouterLink id="admin" v-if="admin" :to="'/admin'">Admin</RouterLink>
    </li>
  </ul>
</template>

<script setup>
import { reactive, ref } from 'vue';

const newTodo = ref('');
const admin = ref(false);

const todos = reactive([
  {
    id: 1,
    text: 'Learn Vue.js 3',
    completed: false
  }
]);

const createTodo = () => {
  if (newTodo.value.length === 0) return;

  todos.push({
    id: 2,
    text: newTodo.value,
    completed: false
  });
};
</script>
